View as Markdown

Commitments

Data model

Commitment

datestring

ISO 8601 representation of the trade date of the commitment.

commitmentAdjustmentnumber

The amount the commitment was adjusted by, denominated in the fund's currency. Positive values increase the commitment, negative values decrease it.


GET/api/v3/instruments/{instrumentId}/commitments

List commitments

Gets all commitments for an instrument.

Parameters

instrumentIdpath, required

Instrument identifier.

Request
GET/api/v3/instruments/{instrumentId}/commitments
GET /api/v3/instruments/b390396c019d4907ba120708/commitments HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Host: api.aleta.ai
Response
HTTP/1.1 200 OK
Content-Type: application/vnd.api+json

{
  "data": [
    {
      "id": "68e766b53f3c5ba4efd60819",
      "type": "commitment",
      "attributes": {
        "date": "2020-01-01T00:00:00Z",
        "commitmentAdjustment": 10000000
      }
    }
  ]
}

GET/api/v3/instruments/{instrumentId}/commitments/{commitmentId}

Retrieve a commitment

Gets a single commitment by its identifier within an instrument.

Parameters

instrumentIdpath, required

Instrument identifier.

commitmentIdpath, required

Commitment identifier.

Request
GET/api/v3/instruments/{instrumentId}/commitments/{commitmentId}
GET /api/v3/instruments/b390396c019d4907ba120708/commitments/68e766b53f3c5ba4efd60819 HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Host: api.aleta.ai
Response
HTTP/1.1 200 OK
Content-Type: application/vnd.api+json

{
  "data": {
    "id": "68e766b53f3c5ba4efd60819",
    "type": "commitment",
    "attributes": {
      "date": "2020-01-01T00:00:00Z",
      "commitmentAdjustment": 10000000
    }
  }
}